/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   swap64.c                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: mverdier <mverdier@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/11/07 19:20:49 by mverdier          #+#    #+#             */
/*   Updated: 2018/11/21 15:29:02 by mverdier         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_otool.h"

uint64_t	swap64(uint64_t val, t_header infos)
{
	return (infos.swap ? swap_uint64(val) : val);
}
